### Method

# GUPnP DeviceInfo get_manufacturer

#### Declaration [src]

    char*
    gupnp_device_info_get_manufacturer (
      GUPnPDeviceInfo* info
    )

#### Description [src]

Get the manufacturer of the device.

#### Return value

Type: `char*`

A newly allocated string containing the manufacturer of the device, or `NULL` if not available. `g_free()` after use.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.